Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.prefs
Interface PreferencesFactory

    public interface PreferencesFactory

A factory object that generates Preferences objects. Providers of new `Preferences` implementations should provide corresponding `PreferencesFactory` implementations so that the new `Preferences` implementation can be installed in place of the platform-specific default implementation.

This class is for `Preferences` implementers only. Normal users of the `Preferences` facility should have no need to consult this documentation.

Since:
  1.4
See Also:
  `Preferences`

Method Summary
`Preferences` | `systemRoot()` Returns the system root preference node.
`Preferences` | `userRoot()` Returns the user root preference node corresponding to the calling user.

Method Detail

### systemRoot

    Preferences systemRoot()

  Returns the system root preference node. (Multiple calls on this method will return the same object reference.)

### userRoot

    Preferences userRoot()

  Returns the user root preference node corresponding to the calling user. In a server, the returned value will typically depend on some implicit client-context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.